Get a VM package by ID
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
id
ID of the VM package to get
Response
The VM package
id
VM Package ID
label
Internal label identifier for the VM Package
description
Human-readable display name for the VM Package
minCpu
Minimum number of CPUs
maxCpu
Maximum number of CPUs
minRootDiskGb
Minimum root disk size in GB
maxRootDiskGb
Maximum root disk size in GB
minMemoryMb
Minimum memory in MB
maxMemoryMb
Maximum memory in MB
tier
Performance tier
zones
Array of zone IDs where this package is available
cpuDeprecated
Number of CPUs (deprecated, use minCpu instead)
rootDiskGbDeprecated
Root disk size in GB (deprecated, use minRootDiskGb instead)
memoryMbDeprecated
Memory in MB (deprecated, use minMemoryMb instead)
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error